## xscreensaver 6.02+dfsg1

=== debian/changelog ===
xscreensaver (6.02+dfsg1-2~m19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add libegl1-mesa-dev to build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Jun 2022 14:17:34 -0700

xscreensaver (6.02+dfsg1-2) unstable; urgency=medium

  * Borrow patch from Fedora to fix building "marbling" on arm64

 -- Tormod Volden <debian.tormod@gmail.com>  Sat, 15 Jan 2022 16:40:56 +0100

xscreensaver (6.02+dfsg1-1) unstable; urgency=medium

  * New upstream release 6.02, changes since 5.45:
    - New hacks, `marbling' and `binaryhorizon'.
    - `atlantis' behaviors are more random and lifelike.
    - `headroom' is now Mask Headroom.
    - X11: `fontglide' skips fonts that can't display ASCII.
    - X11: Use asterisks in the password dialog if the system fonts
      don't have bullets in them.
    - X11: "Disable Screen Saver" was behaving like "Blank Screen Only".
    - X11: Properly disable the server's built-in screen saver.
    - X11: The passwdTimeout option was being ignored.
    - X11: The display of the unlock thermometer was weird.
    - X11: Fixed password entry on old-school multi-screen setups (:0.1).
    - X11: Worked around a KDE 5 compositor bug that caused the desktop
          to momentarily become visible when cycling.
    - X11: Fixed possible high CPU usage in `xscreensaver-systemd'.
    - X11: Fixed some spurious warnings in `xscreensaver-text'.
    - X11: Warn when Wayland is in use, since it makes both screen saving
          and locking impossible.
    - X11: Major refactor of the `xscreensaver' daemon for improved
          security, dividing it into three programs: `xscreensaver',
          `xscreensaver-gfx' and `xscreensaver-auth'.
    - X11: Dropped support for systems older than X11R7 (2009).
    - X11: Renamed `xscreensaver-demo' to `xscreensaver-settings'.
    - X11: Unlock dialog has user-selectable color schemes.
    - X11: Everything uses XFreeType for fonts now.
    - X11: Install a few custom fonts needed by some savers.
    - X11: Fading works on systems without gamma (e.g. Raspberry Pi).
    - X11: Use EGL instead of GLX when available.
    - X11: `xscreensaver-systemd' now detects when a video player has
          inhibited screen blanking and then exits without uninhibiting.
    - Improved GLSL and GLES3 support: Phong shading in `etruscanvenus',
          `hypertorus', `klein', `projectiveplane',`romanboy' and
          `sphereeversion'.
    - Updates to `cubicgrid'.
  * Drop patches:
    - 14_fix-updating-outputs-info.patch (obsolete)
    - 21_driver_xscreensaver-getimage-video (applied upstream)
    - 51_generalize_external_commands.patch (applied upstream)
    - 56_password_dialog_reworded.patch (obsolete)
    - 80_Makefile_in-clean-fix.patch (applied upstream)
  * Add debian/patches/08_upstream_man_page_typo.patch
  * Updated desktop files (name and description changes from upstream)
  * Prevent build install failure on hurd and kfreebsd
  * Use upstream configure instead of running autoreconf
    (Closes: #978926)

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 10 Jan 2022 23:10:18 +0100
