=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Tormod Volden <debian.tormod@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-               bc,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
+Build-Depends: bc,
+               debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1),
                fortune-mod,
                intltool,
                libcap2-dev [linux-any],
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev,
+               libegl1-mesa-dev,
                libgl1-mesa-dev | libgl-dev,
                libgle-dev,
                libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
                libgtk2.0-dev,
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-               libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev,
                libjpeg-dev,
                libpam0g-dev,
                libpng-dev,
@@ -42,10 +44,10 @@
 Package: xscreensaver
 Architecture: any
 Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libjpeg-turbo-progs,
-          miscfiles | wordlist,
-          perl,
-          gsfonts-x11 | xfonts-100dpi
+Recommends: gsfonts-x11 | xfonts-100dpi,
+            libjpeg-turbo-progs,
+            miscfiles | wordlist,
+            perl
 Suggests: fortune,
           gdm3 | kdm-gdmcompat,
           qcam | streamer,
@@ -82,9 +84,10 @@
  can be used by xscreensaver and also some other screensaver engines.
  .
  This is the selected set of non-GL screensavers shipped by default:
- abstractile, binaryring, cwaves, deco, distort, fiberlamp, fuzzyflakes,
- galaxy, hexadrop, m6502, metaballs, penrose, ripples, scooter,
- shadebobs, slidescreen, swirl, tessellimage, xlyap.
+ abstractile, binaryhorizon, binaryring, cwaves, deco, distort,
+ fiberlamp, fuzzyflakes, galaxy, hexadrop, m6502, marbling, metaballs,
+ penrose, ripples, scooter, shadebobs, slidescreen, swirl,
+ tessellimage, xlyap.
  .
  More display modes can be found in xscreensaver-data-extra,
  xscreensaver-gl and xscreensaver-gl-extra packages.
@@ -113,7 +116,7 @@
  filmleader, fireworkx, flame, flow, fluidballs, fontglide, glitchpeg,
  goop, grav, greynetic, halftone, halo, helix, hopalong, ifs, imsmap,
  interaggregate, interference, intermomentary, julia, kaleidescope,
- kumppa, lcdscrub, ljlatest, loop, maze, memscroller, moire2, moire,
+ kumppa, lcdscrub, loop, maze, memscroller, moire2, moire,
  mountain, munch, nerverot, noseguy, pacman, pedal, penetrate, petri,
  phosphor, piecewise, polyominoes, pong, pyro, qix, rd-bomb, rocks,
  rorschach, rotzoomer, sierpinski, slip, speedmine, spotlight,
@@ -139,7 +142,7 @@
  .
  This is the set of GL screensavers shipped by default:
  antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d, circuit,
- cityring, covid19, crumbler, cubestack, cubestorm, cubetwist, discoball,
+ cityflow, covid19, crumbler, cubestack, cubestorm, cubetwist, discoball,
  dymaxionmap, endgame, energystream, engine, esper, etruscanvenus,
  flipflop, flipscreen3d, flyingtoasters, gears, geodesic, geodesicgears,
  gflux, gibson, glblur, glcells, gleidescope, glknots, glmatrix,
