=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --without autoreconf
 
 override_dh_auto_configure:
 	# Generate POT file for translators
@@ -27,7 +27,7 @@
 	  [ ! -f driver/XScreenSaver_Xm_ad.h ] || \
 	    mv driver/XScreenSaver_Xm_ad.h driver/XScreenSaver_Xm_ad.h.upstream
 	# Configure for xscreensaver
-	dh_auto_configure -- \
+	./configure --prefix=/usr \
 		--without-gl --with-pam --with-gtk --without-kerberos \
 		--without-shadow \
 		--with-hackdir=/usr/libexec/xscreensaver \
@@ -37,7 +37,7 @@
 		--with-proc-interrupts
 	cp driver/XScreenSaver.ad driver/XScreenSaver.ad-nogl
 	# Configure for xscreensaver-gl
-	dh_auto_configure -- \
+	./configure --prefix=/usr \
 		--with-gl --with-pam --with-gtk --without-kerberos \
 		--without-shadow \
 		--with-hackdir=/usr/libexec/xscreensaver \
@@ -64,16 +64,26 @@
 		debian/tmp/usr/share/applications/screensavers/
 	for i in debian/tmp/usr/share/applications/screensavers/*; do \
 		cat debian/screensavers-desktop.stub >> $${i}; done
-	mv debian/tmp/usr/share/man/man6/xscreensaver-gl-helper.6x \
-	   debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
-	# Change man header section from 6 to 1
-	sed -i '1s/6x/1/' debian/tmp/usr/share/man/man1/xscreensaver-gl-helper.1
+	# Change man section from 6 or 6x to 1
+	for i in xscreensaver-gl-visual \
+		 xscreensaver-getimage \
+		 xscreensaver-getimage-file \
+		 xscreensaver-getimage-video \
+		 xscreensaver-systemd \
+		 xscreensaver-auth \
+		 xscreensaver-gfx \
+		 xscreensaver-text ; \
+	    do \
+	       mv debian/tmp/usr/share/man/man6/$${i}.6* \
+	          debian/tmp/usr/share/man/man1/$${i}.1 ; \
+	       sed -i '1s/6x*/1/' debian/tmp/usr/share/man/man1/$${i}.1 ; \
+	    done
 	debian/split-hacks.sh
 	# Not built on kfreebsd and hurd
-	[ -e debian/tmp/usr/bin/xscreensaver-systemd ] && { \
-	  echo "usr/bin/xscreensaver-systemd" ; \
+	[ -e debian/tmp/usr/libexec/xscreensaver/xscreensaver-systemd ] && { \
+	  echo "usr/libexec/xscreensaver/xscreensaver-systemd" ; \
 	  echo "usr/share/man/man1/xscreensaver-systemd.1" ; \
-	} >> debian/xscreensaver.install
+	} >> debian/xscreensaver.install || true
 	# Install app-defaults to proper places
 	mv debian/tmp/etc/X11/app-defaults/XScreenSaver \
 		debian/xscreensaver-gl/etc/X11/app-defaults/XScreenSaver-gl
@@ -82,3 +92,7 @@
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
