## xscreensaver 6.06%2Bdfsg1

=== debian/changelog ===
xscreensaver (6.06+dfsg1-2) unstable; urgency=medium

  * Add debian/patches/100_configure_allow_warnings.patch:
    - Fix building on various architectures that have
      no keyboard interrupts info or don't have systemd
  * Remove obsolete build dependency on dpkg-dev (thanks Janitor)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Tormod Volden <debian.tormod@gmail.com>  Mon, 30 Jan 2023 09:35:10 +0100

xscreensaver (6.06+dfsg1-1) unstable; urgency=medium

  [ Tormod Volden ]
  * New upstream release 6.06, changes since 6.02: (Closes: #1019516)
    - New hacks: hextrail, nakagin, chompytower, squirtorus, mapscroller
    - Retired `thornbird', which is redundant with `discrete'.
    - Adjusted some of the very old hacks, which were written when pixels
      were larger, to be more visible on today's higher rez displays.
    - X11: More robust desktop image grabbing.
    - X11: Various improvements to `xscreensaver-settings'.
    - X11: Silence new Perl warnings from `xscreensaver-getimage-file'.
    - X11: Supports "Lock" messages from systemd, e.g. when logind.conf
      has "HandleLidSwitch=lock" instead of "suspend".
    - X11: Cope with dumb DPMS settings that existed pre-startup.
    - X11: Silence new Perl warnings from `xscreensaver-getimage-file'.
    - X11: Fix `sonar' pthreads crash on recent Pi systems.
    - X11: Removed dependence on `gdk-pixbuf-xlib-2.0'.
    - X11: GTK 3 is now required.
    - Settings dialog shows diagnostics for bad image folders and feeds.
    - URLs for `imageDirectory' can now point at archive.org collections.
    - Sliders for various "Speed" preferences are easier to use.
    - X11: Settings dialog shows saver description below embedded preview.
    - X11: Better behavior when zero monitors are attached.
    - X11: Improvements to inhibiting blanking while videos are playing:
      No longer necessary to hack GNOME and KDE to get them to not usurp
      the org.freedesktop.ScreenSaver endpoint.
    - X11: `unicrud' displays character names.
    - Updated `webcollage'.
    - `sphereeversion' now has corrugation-mode, and can evert the Earth.
    - `glplanet' is higher resolution, and displays time zones.
    - `glslideshow' displays relative pathnames again.
    - X11: fixed `sonar' failing to ping on some Linux systems.
    - X11: Touch-screens work.
    - X11: Hold down Backspace to clear the whole password field.
  * Dropped patches (all applied upstream):
    - 06-upstream-marbling-fix-signedness-for-x86_64-and-aarch64-on-ve.patch
    - 08_upstream_man_page_typo.patch
    - 54_no_dnalogo_hack.patch
  * Add debian/patches/51_generalize_external_commands.patch:
    - Brought back to improve man page display
      Thanks to Aaron Rainbolt for reporting and initial work
  * Add debian/patches/94_allow_unrecognized_conf_opts.patch:
    - Patch the upstream configure so dh_auto_reconf works
  * Add debian/patches/96_nogl-build-for-nogl-config.patch
    - Allow generating the no-GL application defaults file
  * Add debian/patches/98_daemon_desktop_file.patch
    - Base daemon desktop file on upstream's version
  * Exclude non-free fonts from dfsg tarball (Closes: #1028029)
  * Ship xscreensaver-auth setuid (Closes: #1007724)
  * Depend on fonts-urw-base35 instead of gsfonts (Closes: #1020369)
  * Ship the upstream systemd unit file instead of our own
  * Update build dependencies for GL, GTK, GDK libraries
  * Add lintian overrides for false positive warnings

  [ Aaron Rainbolt ]
  * Add free "OCRA A Std" font replacement

 -- Tormod Volden <debian.tormod@gmail.com>  Thu, 26 Jan 2023 23:58:26 +0100

xscreensaver (6.02+dfsg1-3) unstable; urgency=medium

  * Depend on libcap-dev instead of deprecated libcap2-dev
  * Fix cross-building by reinstating dh_auto_configure
    (Closes: #1005956) Thanks Helmut Grohne

 -- Tormod Volden <debian.tormod@gmail.com>  Fri, 18 Feb 2022 09:11:58 +0100
