=== debian/control ===
--- 
+++ 
@@ -1,21 +1,17 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
-Build-Depends: bc,
-               debhelper-compat (= 12),
-               dpkg-dev (>= 1.16.1),
+Maintainer: Tormod Volden <debian.tormod@gmail.com>
+Build-Depends: debhelper-compat (= 12),
+               bc,
                fortune-mod,
                intltool,
-               libcap2-dev [linux-any],
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
-               libgdk-pixbuf-xlib-2.0-dev | libgdk-pixbuf2.0-dev,
-               libegl1-mesa-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libcap-dev [linux-any],
+               libgl-dev,
                libgle-dev,
                libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
-               libgtk2.0-dev,
+               libgtk-3-dev,
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libjpeg-dev,
                libpam0g-dev,
                libpng-dev,
@@ -35,19 +31,19 @@
                x11proto-core-dev,
                xbitmaps,
                xutils-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.jwz.org/xscreensaver/
 Vcs-Browser: https://salsa.debian.org/debian/xscreensaver
 Vcs-Git: https://salsa.debian.org/debian/xscreensaver.git
-Rules-Requires-Root: no
+Rules-Requires-Root: binary-targets
 
 Package: xscreensaver
 Architecture: any
 Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
-Recommends: gsfonts-x11 | xfonts-100dpi,
-            libjpeg-turbo-progs,
-            miscfiles | wordlist,
-            perl
+Recommends: libjpeg-turbo-progs,
+          miscfiles | wordlist,
+          perl,
+          fonts-urw-base35 | xfonts-100dpi
 Suggests: fortune,
           gdm3 | kdm-gdmcompat,
           qcam | streamer,
@@ -120,10 +116,9 @@
  mountain, munch, nerverot, noseguy, pacman, pedal, penetrate, petri,
  phosphor, piecewise, polyominoes, pong, pyro, qix, rd-bomb, rocks,
  rorschach, rotzoomer, sierpinski, slip, speedmine, spotlight,
- squiral, starfish, strange, substrate, thornbird, triangle, truchet,
- twang, vermiculate, vfeedback, vidwhacker, wander, whirlwindwarp,
- wormhole, xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph,
- zoom.
+ squiral, starfish, strange, substrate, triangle, truchet, twang,
+ vermiculate, vfeedback, vidwhacker, wander, whirlwindwarp, wormhole,
+ xanalogtv, xflame, xjack, xmatrix, xrayswarm, xspirograph, zoom.
  .
  More display modes can be found in the xscreensaver-data,
  xscreensaver-gl and xscreensaver-gl-extra packages.
@@ -141,18 +136,20 @@
  xscreensaver and also some other screensaver engines.
  .
  This is the set of GL screensavers shipped by default:
- antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d, circuit,
- cityflow, covid19, crumbler, cubestack, cubestorm, cubetwist, discoball,
- dymaxionmap, endgame, energystream, engine, esper, etruscanvenus,
- flipflop, flipscreen3d, flyingtoasters, gears, geodesic, geodesicgears,
- gflux, gibson, glblur, glcells, gleidescope, glknots, glmatrix,
- glschool, glslideshow, glsnake, gltext, headroom, hexstrut, hydrostat,
- hypertorus, jigglypuff, kaleidocycle, lavalite, lockward, maze3d,
- mirrorblob, moebius, moebiusgears, molecule, morph3d, peepers, pipes,
- polyhedra, polytopes, projectiveplane, pulsar, quasicrystal, queens,
- raverhoop, razzledazzle, romanboy, sierpinski3d, sonar, sphereeversion,
- spheremonics, splitflap, splodesic, stonerview, superquadrics,
- topblock, unicrud, vigilance, voronoi, winduprobot.
+ antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d,
+ chompytower, circuit, cityflow, covid19, crumbler, cubestack,
+ cubestorm, cubetwist, discoball, dymaxionmap, endgame, energystream,
+ engine, esper, etruscanvenus, flipflop, flipscreen3d, flyingtoasters,
+ gears, geodesic, geodesicgears, gflux, gibson, glblur, glcells,
+ gleidescope, glknots, glmatrix, glschool, glslideshow, glsnake,
+ gltext, headroom, hexstrut, hextrail, hydrostat, hypertorus,
+ jigglypuff, kaleidocycle, lavalite, lockward, mapscroller, maze3d,
+ mirrorblob, moebius, moebiusgears, molecule, morph3d, nakagin,
+ peepers, pipes, polyhedra, polytopes, projectiveplane, pulsar,
+ quasicrystal, queens, raverhoop, razzledazzle, romanboy,
+ sierpinski3d, sonar, sphereeversion, spheremonics, splitflap,
+ splodesic, squirtorus, stonerview, superquadrics, topblock, unicrud,
+ vigilance, voronoi, winduprobot.
  .
  More display modes can be found in the xscreensaver-data,
  xscreensaver-data-extra and xscreensaver-gl-extra packages.
