## xscreensaver 6.06+dfsg1

=== debian/changelog ===
xscreensaver (6.06+dfsg1-3+deb12u1) bookworm; urgency=medium

  * Add debian/patches/91_remove_version_upgrade_warnings.patch:
    - Avoid upstream upgrade warning appearing from 2024-05-04
    (Closes: #1069617)

 -- Tormod Volden <debian.tormod@gmail.com>  Sun, 21 Apr 2024 15:49:08 +0200

xscreensaver (6.06+dfsg1-3) unstable; urgency=medium

  * Add 02_dpms_prefs_lost.patch from upstream:
    - Fix DPMS settings being reset when opening preferences
  * Add 04_segfault_missing_visual.patch:
    - Avoid segfault if xscreensaver-gl is not installed
  * Add 06_wm_focus_crash.patch:
    - Avoid crash when opening preferences in some window managers
  * debian/rules: Fix wrong Catalan translation file encoding
  * debian/control: Add libwww-perl dependency for -gl package and
    correct dependencies for -bsod and -webcollage packages

 -- Tormod Volden <debian.tormod@gmail.com>  Fri, 03 Mar 2023 14:18:50 +0100
