=== debian/control ===
--- 
+++ 
@@ -125,7 +125,10 @@
 
 Package: xscreensaver-gl
 Architecture: any
-Depends: libcap2-bin [linux-any], ${misc:Depends}, ${shlibs:Depends}
+Depends: libwww-perl,
+         libcap2-bin [linux-any],
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: xscreensaver
 Description: GL(Mesa) screen saver modules for screensaver frontends
  XScreenSaver is a modular screen saver and locker for X11,
@@ -180,7 +183,10 @@
 
 Package: xscreensaver-screensaver-webcollage
 Architecture: any
-Depends: xscreensaver-data-extra, ${misc:Depends}, ${shlibs:Depends}
+Depends: libwww-perl,
+         xscreensaver-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Webcollage screen saver module from XScreenSaver
  This package ships the mode webcollage which displays images from random
  web searches on the Internet.
@@ -191,7 +197,9 @@
 
 Package: xscreensaver-screensaver-bsod
 Architecture: any
-Depends: xscreensaver-data-extra, ${misc:Depends}, ${shlibs:Depends}
+Depends: xscreensaver-data,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: BSOD screen saver module from XScreenSaver
  This package ships the mode BSOD that shows the popular Blue Screens of Death
  from several OSes including BSD, Windows, Linux, Solaris, Apple and much more.
