=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,18 @@
 # Includes hardening compile options
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Add cpu time statistics to verbose output
+export DEB_CFLAGS_MAINT_APPEND = -DLOG_CPU_TIME
+
 %:
 	dh $@ --without autoreconf
 
 override_dh_auto_configure:
+	# copy in our free font replacement
+	cp debian/OCRAStd.otf hacks/fonts
+	# fix up Catalan translation file
+	[ -f ca.po.orig ] || cp -p po/ca.po ca.po.orig
+	iconv -f ISO8859-1 -t UTF-8 -o po/ca.po ca.po.orig
 	# Generate POT file for translators
 	cd po && intltool-update --verbose -p && cd ..
 
@@ -27,7 +35,7 @@
 	  [ ! -f driver/XScreenSaver_Xm_ad.h ] || \
 	    mv driver/XScreenSaver_Xm_ad.h driver/XScreenSaver_Xm_ad.h.upstream
 	# Configure for xscreensaver
-	./configure --prefix=/usr \
+	dh_auto_configure -- \
 		--without-gl --with-pam --with-gtk --without-kerberos \
 		--without-shadow \
 		--with-hackdir=/usr/libexec/xscreensaver \
@@ -37,7 +45,7 @@
 		--with-proc-interrupts
 	cp driver/XScreenSaver.ad driver/XScreenSaver.ad-nogl
 	# Configure for xscreensaver-gl
-	./configure --prefix=/usr \
+	dh_auto_configure -- \
 		--with-gl --with-pam --with-gtk --without-kerberos \
 		--without-shadow \
 		--with-hackdir=/usr/libexec/xscreensaver \
@@ -52,12 +60,15 @@
 	  mv driver/XScreenSaver_ad.h.upstream driver/XScreenSaver_ad.h
 	[ ! -f driver/XScreenSaver_Xm_ad.h.upstream ] || \
 	  mv driver/XScreenSaver_Xm_ad.h.upstream driver/XScreenSaver_Xm_ad.h
+	# restore original non-UTF8 Catalan translation file
+	[ ! -f ca.po.orig ] || mv ca.po.orig po/ca.po
 	dh_auto_clean
 
 override_dh_auto_install:
 	ln -sf README NEWS
 	dh_auto_install -- install_prefix=$(CURDIR)/debian/tmp \
-		GTK_DATADIR=/usr/share KDEDIR=/usr
+		GTK_DATADIR=/usr/share KDEDIR=/usr \
+		UPDATE_ICON_CACHE=:
 	# Install .desktop files used by gnome-screensaver etc
 	mkdir -p debian/tmp/usr/share/applications/screensavers
 	cp debian/screensavers-desktop-files/*.desktop \
@@ -90,9 +101,11 @@
 	install -D -m 644 driver/XScreenSaver.ad-nogl \
 		debian/xscreensaver-data/etc/X11/app-defaults/XScreenSaver-nogl
 
+override_dh_fixperms-arch:
+	dh_fixperms
+	chmod 4755 debian/xscreensaver/usr/libexec/xscreensaver/xscreensaver-auth
+	chmod -x debian/xscreensaver/usr/share/xscreensaver/xscreensaver.desktop
+	chmod -x debian/xscreensaver/usr/share/applications/xscreensaver-settings.desktop
+
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
