## xscreensaver 6.08+dfsg1

=== debian/changelog ===
xscreensaver (6.08+dfsg1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Tormod Volden <debian.tormod@gmail.com>  Tue, 23 Apr 2024 20:57:26 +0200

xscreensaver (6.08+dfsg1-1) unstable; urgency=medium

  * New upstream release 6.08, changes since 6.06:
    - New hacks, droste, skulloop, papercube and cubocteversion.
    - Log pid of caller of deactivate command, to give a hint about
      who is preventing the screen from blanking.
    - recanim uses libffmpeg.
    - Updates to sphereeversion.
    - Added some new map sources to mapscroller.
    - Minimum compiler target is now ISO C99 instead of ANSI C89.
    - Various other minor bug fixes.
  * Add upstreamed patch for build warning:
    debian/patches/14_upstream_fireworkx_uninitialized_var.patch
  * Dropped patches:
    - 02_dpms_prefs_lost.patch (upstream)
    - 90_remove_Easter_egg_about_version.patch (obsolete)
  * Made all patch metadata conform to DEP-3
  * debian/copyright: Add stanza for new OCRA.ttf font file
  * Drop previous font replacement (Closes: #1049076)
  * Move xscreensaver-gl-visual to xscreensaver package because
    the daemon requires it for launching any screen hack
  * xscreensaver package now Recommends: xscreensaver-gl
  * debian/control: Build-depends on pkgconf instead of pkg-config

 -- Tormod Volden <debian.tormod@gmail.com>  Wed, 21 Feb 2024 09:40:55 +0100
