=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libxt-dev,
                libxtst-dev,
                libxxf86vm-dev,
-               pkg-config,
+               pkgconf,
                quilt,
                x11proto-core-dev,
                xbitmaps,
@@ -41,6 +41,7 @@
 Architecture: any
 Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libjpeg-turbo-progs,
+          xscreensaver-gl,
           miscfiles | wordlist,
           perl,
           fonts-urw-base35 | xfonts-100dpi
@@ -51,8 +52,9 @@
           xdaliclock,
           xfishtank,
           xscreensaver-data-extra,
-          xscreensaver-gl,
           xscreensaver-gl-extra
+Breaks: xscreensaver-gl (<< 6.08+dfsg1-1)
+Replaces: xscreensaver-gl
 Description: Screensaver daemon and frontend for X11
  XScreenSaver is a modular screen saver and locker for X11,
  containing more than 200 screen savers.
@@ -81,8 +83,8 @@
  .
  This is the selected set of non-GL screensavers shipped by default:
  abstractile, binaryhorizon, binaryring, cwaves, deco, distort,
- fiberlamp, fuzzyflakes, galaxy, hexadrop, m6502, marbling, metaballs,
- penrose, ripples, scooter, shadebobs, slidescreen, swirl,
+ droste, fiberlamp, fuzzyflakes, galaxy, hexadrop, m6502, marbling,
+ metaballs, penrose, ripples, scooter, shadebobs, slidescreen, swirl,
  tessellimage, xlyap.
  .
  More display modes can be found in xscreensaver-data-extra,
@@ -130,6 +132,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: xscreensaver
+Breaks: xscreensaver (<< 6.08+dfsg1-1)
 Description: GL(Mesa) screen saver modules for screensaver frontends
  XScreenSaver is a modular screen saver and locker for X11,
  containing more than 200 screen savers.
@@ -141,16 +144,16 @@
  This is the set of GL screensavers shipped by default:
  antinspect, antspotlight, atunnel, beats, blinkbox, bubble3d,
  chompytower, circuit, cityflow, covid19, crumbler, cubestack,
- cubestorm, cubetwist, discoball, dymaxionmap, endgame, energystream,
- engine, esper, etruscanvenus, flipflop, flipscreen3d, flyingtoasters,
- gears, geodesic, geodesicgears, gflux, gibson, glblur, glcells,
- gleidescope, glknots, glmatrix, glschool, glslideshow, glsnake,
- gltext, headroom, hexstrut, hextrail, hydrostat, hypertorus,
+ cubestorm, cubetwist, cubocteversion, discoball, dymaxionmap, endgame,
+ energystream, engine, esper, etruscanvenus, flipflop, flipscreen3d,
+ flyingtoasters, gears, geodesic, geodesicgears, gflux, gibson, glblur,
+ glcells, gleidescope, glknots, glmatrix, glschool, glslideshow,
+ glsnake, gltext, headroom, hexstrut, hextrail, hydrostat, hypertorus,
  jigglypuff, kaleidocycle, lavalite, lockward, mapscroller, maze3d,
  mirrorblob, moebius, moebiusgears, molecule, morph3d, nakagin,
- peepers, pipes, polyhedra, polytopes, projectiveplane, pulsar,
- quasicrystal, queens, raverhoop, razzledazzle, romanboy,
- sierpinski3d, sonar, sphereeversion, spheremonics, splitflap,
+ papercube, peepers, pipes, polyhedra, polytopes, projectiveplane,
+ pulsar, quasicrystal, queens, raverhoop, razzledazzle, romanboy,
+ sierpinski3d, skulloop, sonar, sphereeversion, spheremonics, splitflap,
  splodesic, squirtorus, stonerview, superquadrics, topblock, unicrud,
  vigilance, voronoi, winduprobot.
  .
