=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 	dh $@ --without autoreconf
 
 override_dh_auto_configure:
-	# copy in our free font replacement
-	cp debian/OCRAStd.otf hacks/fonts
 	# fix up Catalan translation file
 	[ -f ca.po.orig ] || cp -p po/ca.po ca.po.orig
 	iconv -f ISO8859-1 -t UTF-8 -o po/ca.po ca.po.orig
