## xscreensaver 6.09+dfsg1

=== debian/changelog ===
xscreensaver (6.09+dfsg1-0.1~mx21+1) mx; urgency=medium

  [ Steven Pusser ]
  * Rebuild for MX Linux.
  * Make xscreensaver's recommended packages explicit dependencies.

  [ Tormod Volden ]
  * New upstream release 6.09
    - New hacks, kallisti and highvoltage.
    - Formal-wear for headroom.
    - bsod hack includes secure boot failure
    - Many descriptions and URLs updated
    - m6502 and popsquares man pages added
    - Reading files more robust against SIGCHLD firing
  * Drop patch applied upstream:
    - 14_upstream_fireworkx_uninitialized_var.patch
  * Add debian/patches/22_man_page_systemd_install.patch:
    - The systemd unit file is already installed (Closes: #1037434)
  * d/control: Set Rules-Requires-Root: no to avoid fakeroot deps
    - Thanks to Niels Thykier
  * Bump Standards-Version to 4.7.0 (no changes needed)

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 02 Mar 2025 14:32:01 -0800
