=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: xscreensaver
 Section: x11
 Priority: optional
-Maintainer: Tormod Volden <debian.tormod@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-               bc,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Tormod Volden <debian.tormod@gmail.com>
+Build-Depends: bc,
+               debhelper-compat (= 12),
                fortune-mod,
                intltool,
                libcap-dev [linux-any],
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libgl-dev,
                libgle-dev,
                libglu1-mesa-dev | xlibmesa-glu-dev | libglu-dev,
                libgtk-3-dev,
-               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                libjpeg-dev,
                libpam0g-dev,
                libpng-dev,
@@ -31,20 +32,20 @@
                x11proto-core-dev,
                xbitmaps,
                xutils-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.jwz.org/xscreensaver/
 Vcs-Browser: https://salsa.debian.org/debian/xscreensaver
 Vcs-Git: https://salsa.debian.org/debian/xscreensaver.git
-Rules-Requires-Root: binary-targets
+Rules-Requires-Root: no
 
 Package: xscreensaver
 Architecture: any
-Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
-Recommends: libjpeg-turbo-progs,
-          xscreensaver-gl,
-          miscfiles | wordlist,
-          perl,
-          fonts-urw-base35 | xfonts-100dpi
+Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends},
+            fonts-urw-base35 | xfonts-100dpi,
+            libjpeg-turbo-progs,
+            miscfiles | wordlist,
+            perl,
+            xscreensaver-gl
 Suggests: fortune,
           gdm3 | kdm-gdmcompat,
           qcam | streamer,
@@ -127,8 +128,8 @@
 
 Package: xscreensaver-gl
 Architecture: any
-Depends: libwww-perl,
-         libcap2-bin [linux-any],
+Depends: libcap2-bin [linux-any],
+         libwww-perl,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: xscreensaver
@@ -148,14 +149,14 @@
  energystream, engine, esper, etruscanvenus, flipflop, flipscreen3d,
  flyingtoasters, gears, geodesic, geodesicgears, gflux, gibson, glblur,
  glcells, gleidescope, glknots, glmatrix, glschool, glslideshow,
- glsnake, gltext, headroom, hexstrut, hextrail, hydrostat, hypertorus,
- jigglypuff, kaleidocycle, lavalite, lockward, mapscroller, maze3d,
- mirrorblob, moebius, moebiusgears, molecule, morph3d, nakagin,
- papercube, peepers, pipes, polyhedra, polytopes, projectiveplane,
- pulsar, quasicrystal, queens, raverhoop, razzledazzle, romanboy,
- sierpinski3d, skulloop, sonar, sphereeversion, spheremonics, splitflap,
- splodesic, squirtorus, stonerview, superquadrics, topblock, unicrud,
- vigilance, voronoi, winduprobot.
+ glsnake, gltext, headroom, hexstrut, hextrail, highvoltage, hydrostat,
+ hypertorus, jigglypuff, kaleidocycle, kallisti, lavalite, lockward,
+ mapscroller, maze3d, mirrorblob, moebius, moebiusgears, molecule,
+ morph3d, nakagin, papercube, peepers, pipes, polyhedra, polytopes,
+ projectiveplane, pulsar, quasicrystal, queens, raverhoop, razzledazzle,
+ romanboy, sierpinski3d, skulloop, sonar, sphereeversion, spheremonics,
+ splitflap, splodesic, squirtorus, stonerview, superquadrics, topblock,
+ unicrud, vigilance, voronoi, winduprobot.
  .
  More display modes can be found in the xscreensaver-data,
  xscreensaver-data-extra and xscreensaver-gl-extra packages.
@@ -186,10 +187,7 @@
 
 Package: xscreensaver-screensaver-webcollage
 Architecture: any
-Depends: libwww-perl,
-         xscreensaver-data,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libwww-perl, xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
 Description: Webcollage screen saver module from XScreenSaver
  This package ships the mode webcollage which displays images from random
  web searches on the Internet.
@@ -200,9 +198,7 @@
 
 Package: xscreensaver-screensaver-bsod
 Architecture: any
-Depends: xscreensaver-data,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: xscreensaver-data, ${misc:Depends}, ${shlibs:Depends}
 Description: BSOD screen saver module from XScreenSaver
  This package ships the mode BSOD that shows the popular Blue Screens of Death
  from several OSes including BSD, Windows, Linux, Solaris, Apple and much more.
