=== debian/rules ===
--- 
+++ 
@@ -107,3 +107,8 @@
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
